/*
 * author: bto
 * date: 20 jun 2020
 * brief: definitions for the AT90S2313 MCU and Olimex AVR-P20 dev board, and any components
 */

#include "avr/io.h"
#include "util/delay.h"
#include "useful.h"

// MCU
#define __AVR_AT90S2313__ 1
#define F_CPU 10000000UL

// LED 0
#define INIT_LED0 setbit(DDRB,DDB7) // set LED as output
#define LED0_ON  clrbit(PORTB,PB7)
#define LED0_OFF setbit(PORTB,PB7)
#define TOGGLE_LED0 togbit(PORTB,PB7)

// Button 0, low when pressed
#define INIT_BUT0 clrbit(DDRD,DDD2) // set button as input
#define BUT0_PRESS !(readbit(PIND,PIND2)) // read pin, flip

// USART
#define BAUD 9600

// LCD
#define LCD_BUS    PORTB // lcd data bus
#define D4         PB0   // Data pin 4 on LCD
#define D5         PB1   // Data pin 5 on LCD
#define D6         PB2   // Data pin 6 on LCD
#define D7         PB3   // Data pin 7 on LCD (write)/ also LCD busy indicator (read).

#define LCD_REG    PORTD // lcd register for RW,RS,E
#define LCD_E      PD4   // operation enable
#define LCD_RW     PD5   // read = 1, write = 0
#define LCD_RS     PD6   // register select: 0 = display; 1 = ram


